Bug 183181 - [PATCH] sysutils/cmdwatch: Convert to staging
Summary: [PATCH] sysutils/cmdwatch: Convert to staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-22 10:00 UTC by Mathieu Arnold
Modified: 2013-11-18 13:30 UTC (History)
1 user (show)

See Also:


Attachments
cmdwatch-0.2.0_2.patch (1.34 KB, patch)
2013-10-22 10:00 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2013-10-22 10:00:00 UTC
- Convert to staging

Port maintainer (beat@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Mathieu Arnold freebsd_committer 2013-10-23 10:34:48 UTC
State Changed
From-To: open->closed

Dupplicate.
Comment 2 dfilter service freebsd_committer 2013-11-18 13:29:43 UTC
Author: beat
Date: Mon Nov 18 13:29:35 2013
New Revision: 334191
URL: http://svnweb.freebsd.org/changeset/ports/334191

Log:
  - Convert to staging
  
  PR:		ports/183181
  Submitted by:	mat@

Modified:
  head/sysutils/cmdwatch/Makefile
  head/sysutils/cmdwatch/files/patch-Makefile

Modified: head/sysutils/cmdwatch/Makefile
==============================================================================
--- head/sysutils/cmdwatch/Makefile	Mon Nov 18 13:28:00 2013	(r334190)
+++ head/sysutils/cmdwatch/Makefile	Mon Nov 18 13:29:35 2013	(r334191)
@@ -10,8 +10,6 @@ MASTER_SITES=	http://www.chruetertee.ch/
 MAINTAINER=	beat@FreeBSD.org
 COMMENT=	Watches the output from a command at specified intervals
 
-MAN1=		cmdwatch.1
-PLIST_FILES=	bin/cmdwatch
+PLIST_FILES=	bin/cmdwatch man/man1/cmdwatch.1.gz
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/sysutils/cmdwatch/files/patch-Makefile
==============================================================================
--- head/sysutils/cmdwatch/files/patch-Makefile	Mon Nov 18 13:28:00 2013	(r334190)
+++ head/sysutils/cmdwatch/files/patch-Makefile	Mon Nov 18 13:29:35 2013	(r334191)
@@ -1,15 +1,15 @@
---- Makefile.orig	Wed Jan 15 20:58:11 2003
-+++ Makefile	Wed Jan 15 20:58:53 2003
+--- ./Makefile.orig	2002-08-28 15:23:52.000000000 +0200
++++ ./Makefile	2013-10-22 10:54:40.000000000 +0200
 @@ -26,9 +26,9 @@
  	@rm -f *.o cmdwatch
  
  install : all
 -	@install cmdwatch /usr/local/bin/
 -	@install -m 444 cmdwatch.1 /usr/local/man/man1/
-+	@install cmdwatch ${PREFIX}/bin/
-+	@install -m 444 cmdwatch.1 ${PREFIX}/man/man1/
++	@install cmdwatch ${DESTDIR}${PREFIX}/bin/
++	@install -m 444 cmdwatch.1 ${DESTDIR}${PREFIX}/man/man1/
  	@echo "Installing cmdwatch"
  
  uninstall :
 -	@rm /usr/local/bin/cmdwatch
-+	@rm ${PREFX}/bin/cmdwatch
++	@rm ${DESTDIR}${PREFX}/bin/cmdwatch
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"